%define upstream_name    Math-Geometry-Voronoi
%define upstream_version 1.3

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 13

Summary:    Compute Voronoi diagrams from sets of points
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Math/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Class::Accessor)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(List::Util)
BuildRequires: perl(Params::Validate)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl-devel

# Filters (not)shared c libs
%{?perl_default_filter}

%description
This module computes Voronoi diagrams from a set of input points. Info on
Voronoi diagrams can be found here:

  http://en.wikipedia.org/wiki/Voronoi_diagram

This module is a wrapper around a C implementation found here:

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc README META.yml Changes
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Sun Jun 19 2016 pterjan <pterjan> 1.300.0-13.mga6
+ Revision: 1029626
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 1.300.0-12.mga6
+ Revision: 957706
- Mageia 6 Mass Rebuild

* Fri Jun 26 2015 tv <tv> 1.300.0-11.mga6
+ Revision: 844976
- rebuild for soname-ifed perl

* Tue Jun 23 2015 sander85 <sander85> 1.300.0-10.mga6
+ Revision: 840825
- Rebuild for perl 5.22

* Wed Oct 15 2014 umeabot <umeabot> 1.300.0-9.mga5
+ Revision: 745077
- Second Mageia 5 Mass Rebuild

* Thu Oct 02 2014 tv <tv> 1.300.0-8.mga5
+ Revision: 735639
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 1.300.0-7.mga5
+ Revision: 685362
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 jquelin <jquelin> 1.300.0-6.mga5
+ Revision: 632302
- perl 5.20.0 rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1.300.0-5.mga4
+ Revision: 524624
- Mageia 4 Mass Rebuild

* Wed May 29 2013 jquelin <jquelin> 1.300.0-4.mga4
+ Revision: 431247
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.300.0-3.mga3
+ Revision: 369595
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu May 31 2012 shlomif <shlomif> 1.300.0-2.mga3
+ Revision: 252398
- Fix license
- imported package perl-Math-Geometry-Voronoi


* Thu Apr 12 2012 cpan2dist 1.3-1mga
- initial mageia release, generated with cpan2dist
